function compileMuscleData_l_v3
% For the left leg only
% v2 compiles data for duplicate muscles that have multiple heads or for
% similar muscles such as semiten and semimem

dirOrig = cd;
% cd('Compiled Muscle Analyses');
% Files = dir('*l.xlsx');
% nMusc = 14;
% 
% MovementSpeedOld = [];

% cd(dirOrig);
load Subject1_v4pt3_muscle_analysis_l.mat


for iii = 1:length(muscAnalysisData)
    
%     muscleAnalFileName = Files(iii).name;
    TrialName =  muscAnalysisData(iii).name
    
%     TrialName = strrep(muscleAnalFileName,'_muscle_analysis_l.xlsx','')
%     FolderName = [TrialName '_Analyses'];
%     motionFileName = strrep(muscleAnalFileName,'_muscle_analysis_l.xlsx','_ik.mot');
%     statesFileName = strrep(muscleAnalFileName,'_muscle_analysis_l.xlsx','_StatesReporter_states.sto');
%     IDFileName = strrep(muscleAnalFileName,'_muscle_analysis_l.xlsx','_id.sto');
%     emgFileName = strrep(muscleAnalFileName,'_muscle_analysis_l.xlsx','_rawEMG.mot');
    
    FolderName = [TrialName '_Analyses'];
    motionFileName = [TrialName '_ik.mot'];
    statesFileName = [TrialName '_StatesReporter_states.sto'];
    IDFileName = [TrialName '_id.sto'];
    emgFileName = [TrialName '_rawEMG.mot'];
    
    % Extract Joint Coordinates
    cd([dirOrig,'\Muscle Data']);
    [coords, coordinateLabels, Time] = readMotFile(motionFileName);

    % Extract Model States (includes joint velocities and positions
    cd([dirOrig,'\Muscle Analyses\',FolderName]);
    [states, statesLabels, TimeBad] = readMotFile(statesFileName);
    TimeLongest = Time(1:141);
    activeFrames = 1:length(TimeLongest);
    
    % Extract Moment Arms
    [HipMA] = muscAnalysisData(iii).MADataHipFlex;
    HipAAMA = muscAnalysisData(iii).MADataHipAA;
    KneeMA = muscAnalysisData(iii).MADataKnee;
    AnkleMA = muscAnalysisData(iii).MADataAnkle;
    SubtalarMA = muscAnalysisData(iii).MADataSubtalar;
    
    % Extract Fiber Lengths and velocities
    %     Lvf = xlsread(FileName, 'Fiber Velocity');
    %     Lmvtilda = xlsread(FileName, 'Normalized Fiber Velocity');
    Lmt = muscAnalysisData(iii).MTL;
    
    % Load inverse dynamics torques
    cd([dirOrig,'\Muscle Data']);
    IDnames = {'Hip FE Moment' 'Hip AA Moment' 'Knee FE Moment' 'Ankle FE Moment' 'Subtalar IE Moment'};
    [IDloads, IDLabels, TimeID] = readMotFile(IDFileName);
    IDloads = IDloads(activeFrames,[7 8 10 12 13]+8);
%     IDloads = filterData(IDloads, mean(diff(TimeID)),6);
%     IDloads(:,1) = SplineSmooth(TimeLongest, IDloads(:,1), .999999);
%     IDloads(:,2) = SplineSmooth(TimeLongest, IDloads(:,2), .999999);
%     IDloads(:,3) = SplineSmooth(TimeLongest, IDloads(:,3), .999999);
%     IDloads(:,4) = SplineSmooth(TimeLongest, IDloads(:,4), .999999);
%     IDloads(:,5) = SplineSmooth(TimeLongest, IDloads(:,5), .999999);
%     IDloads = IDloads(:,:);
    
    % Load emg data
    [emgData, emgLabels, TimeEMG] = readMotFile(emgFileName);
    % Reorder EMG data to match order found in open sim file
    % Original order
    % 17RAddLong	18RGlutMax	19RGlutMed	20RIliopsoas	21RSemiMemb	22RBicFemLong	...
    %23RRecFem	24RVastMed	25RVastLat	26RGasMed	27RTibAnt	28RTibPost	...
    %29RPeroneusLong	30RSol	31RExtDigLong	32RFlexDigLong
    emgLabels = emgLabels([1:8,21:26]+11);
    emgData = emgData(:,[1:8,21:26]+10);
    
    % Take desired DOFs from coordinates (left leg only, sagittal plane)
    cd(dirOrig);
    coords = coords(activeFrames,[7 8 10 12 13 9]+8);
%     jointVels = states(1:141,[54 55 57 59 60 56]);
    coordNames = {'Hip FE' 'Hip AA' 'Knee FE' 'Ankle FE' 'Subtalar IE' 'Hip IE'};
    jointVels = coords;
    [coords(:,1), jointVels(:,1)] = SplineSmooth(TimeLongest(1:length(coords)), coords(:,1), .9999);
    [coords(:,2), jointVels(:,2)] = SplineSmooth(TimeLongest(1:length(coords)), coords(:,2), .9999);
    [coords(:,3), jointVels(:,3)] = SplineSmooth(TimeLongest(1:length(coords)), coords(:,3), .9999);
    [coords(:,4), jointVels(:,4)] = SplineSmooth(TimeLongest(1:length(coords)), coords(:,4), .9999);
    [coords(:,5), jointVels(:,5)] = SplineSmooth(TimeLongest(1:length(coords)), coords(:,5), .9999);
    [coords(:,6), jointVels(:,6)] = SplineSmooth(TimeLongest(1:length(coords)), coords(:,6), .9999);
    
    % Take desired muscles values (right leg, 16 muscles)
    HipMA = HipMA(activeFrames,[1:36]+36);
    HipAAMA = HipAAMA(activeFrames,[1:36]+36);
    KneeMA = KneeMA(activeFrames,[1:36]+36);
    AnkleMA = AnkleMA(activeFrames,[1:36]+36);
    SubtalarMA = SubtalarMA(activeFrames,[1:36]+36);
    MuscNames = muscAnalysisData(iii).ColumnLabels([2:37]+36);
    Lmt = Lmt(activeFrames,[1:36]+36);
    nMusc = length([1:36]);
    
    Vmt = zeros(size(Lmt));
    for j = 1:nMusc
        [junk, Vmt(:,j)] = SplineSmooth(TimeLongest(1:length(coords)), Lmt(:,j), .99999);
    end
    
    etmData(iii).TrialName = TrialName;
    etmData(iii).Time = TimeLongest;
    etmData(iii).EMG = emgData;
    etmData(iii).EMGlabels = emgLabels;
    etmData(iii).OpensimMuscleLabels = MuscNames;
    etmData(iii).HipFEMomentArms = HipMA;
    etmData(iii).HipAAMomentArms = HipAAMA;
    etmData(iii).KneeMomentArms = KneeMA;
    etmData(iii).AnkleMomentArms = AnkleMA;
    etmData(iii).SubtalarMomentArms = SubtalarMA;
    etmData(iii).MuscleTendonLengths = Lmt;
    etmData(iii).MuscleTendonVelocities = Vmt;
    etmData(iii).CoordinateLabels = coordNames;
    etmData(iii).JointAngles = coords;
    etmData(iii).JointVelocities = jointVels;
    etmData(iii).InverseDynamicsLoadLabels = IDnames;
    etmData(iii).InverseDynamicsLoads = IDloads;

    
end

cd(dirOrig);
save Subject1_v4pt3_etmData_left_reprocessed.mat etmData

function [Data, ColumnLabels, Time] = readMotFile(inFile)

%open file
fid = fopen(inFile);

%skip initial lines
line = 'asdf';
while ~strcmp(upper(line),'ENDHEADER')
    line = fgetl(fid);
end

% Find the labels on the columns
ColumnLabels = fgetl(fid);
ColumnLabels = textscan(ColumnLabels, '%t');
ColumnLabels = ColumnLabels{1}';

% Read numeric data
Data = fscanf(fid, '%f');

% Find length of data
nColumns = length(ColumnLabels);
nRows = length(Data)/nColumns;

% Reshape data into matrix
Data = reshape(Data, nColumns, nRows)';

% Extract time vector
Time = Data(:,1);
Data(:,1) = [];

fclose(fid);